oasis.names.tc.dss._1_0.core.schema

## Class PropertiesType

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.PropertiesType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:15:35+01:00",
                 comments="JAXB RI v2.3.7")
      public class PropertiesType
      extends Object
      implements Serializable

  Java class for PropertiesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PropertiesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}Property" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Property>` | `getProperties()` Gets the value of the properties property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesType

          public PropertiesType()

  - ### Method Detail

    - #### getProperties

          public List<Property> getProperties()

      Gets the value of the properties property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the properties property.

      For example, to add a new item, do as follows:

              getProperties().add(newItem);

      Objects of the following type(s) are allowed in the list `Property`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.